<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#ab649052e08a2c344c3d85eb7ec9dc83e">bytes2Messages</a>(uint8_t *rxBuf, uint_fast32_t messageSize, vector&lt; MESSAGE_TYPE &gt; &amp;messageBuf)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a37761454cc4b64f11802bc6d55a12162">continuousRecvMessages</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a9076e5b7c635703b9207c107cfead352">continuousSendMessages</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a7039a28d4b3a941939eb4d8f49a8c646">countMessages</a>(uint_fast32_t *devMessagesCount)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#aad508b38f058c54ba1ac037995be39b3">dataPtr</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a906895636bcf6765c145fee98f783a6a">dataTxCount</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a96784692fde5caddb9e66d0a09e558ce">devTxMessages</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a1d157081a8950fe730ea3f8e14a08902">endSS</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#ac1e58a16c647584182e54f5a7298c7c6">existDataMessages2Tx</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a45a9101c41e6acfadeab414d89c807bc">existMutationMessages2Tx</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a87c0248a274ed0bac2c1468af1246e8b">existSysMessages2Tx</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#af235522e49a7b5b9fc5191bd753b317e">findTxSlot</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#acf31426be68777913b2c5a96af8e77f1">getRank</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a305a227aa62d7c63352f0628a6b107f3">init</a>(SUBGRAPH_TYPE *dPtr, uint_fast32_t devices=1, uint_fast32_t devRank=0)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#af6fa8fbb6818efd2c72360f354fcd8c6">initFlag</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#adc839af30deaef809baf2738b9b3f11e">initSS</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#af049638494f8ff5b1672c2e1df199b6c">instRecvMutationMessages</a>(int dev)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a5538c723dd0a0311954a3d4446b2f9c8">isMultipleDevices</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#acfcc3974aa363313d7e3c152601ea968">isTxComplete</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#acbe3506a4b314c7f03d1ea6c2f610fbf">messages2Bytes</a>(DATA_MESSAGE_BUF_TYPE *messagePtr, uint8_t *outBuf)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a3793829e7ef861f7b5b17860067ee48b">mutationTxCount</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a4ae7ac30bbb2d7938b2bed7b4a4f21db">numDevices</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a27c5bb4a30d4d070e6c1d3882ee52857">printIdleTime</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a5276cfab81cf55da2d35c8af582e03ac">processOneMessage</a>(uint8_t *rxBuf, int tag, uint_fast32_t messageSize, uint_fast32_t dev)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a7f26b4bdfbe6ad5b50ecde994314dafc">rank</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#af5e85a0e37d05127470d05c8d2918fb3">RecvNewMessages</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a30a2c22cbf92ae9c15153bdbc6a5f4ca">reset</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a2409da069a49ea13d88a1c9901b28006">rxDevMessageCount</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a268fd4355c2e26042cde95789f2742e4">sendDataMessages</a>(bool flushBuffers=false)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a181cd2156fe5e5e407842f2390f3e110">sendInstMutationMessage</a>(int thread)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#aba5cdc84bd295db4b422cf83e03091b7">sendMessagesSizes</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a846cfc94d9aa1cc520e8fcdb3157c1c7">sendMutationMessages</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a2c85aed301bc21b931a39cec403a43f0">sendSysMessages</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a61e06f7c28704b73a2a75c18be91397b">setNumVertices</a>(uint64_t numVertices)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#ac31139ff09ad51efcf810565331bdc01">setTimePtr</a>(uint_fast32_t *timePtr)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#aa8ffcfa91ccbfdfd960bb4d49b0a58d8">ssComputationEndFlag</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a9b958601eb31e864eadcc7894b1499dd">ssRxActiveFlag</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#aa1078d0a68d9c673ac78b269a05afb5f">ssTxActiveFlag</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a75211a6169aaac4eed3d58bf01c82c76">sysTxCount</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a5ea1040f1fa41c905e72e96800e13c3f">taggedBcast</a>(uint8_t *txBuf, uint_fast32_t bufSize, int tag)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a863e67876467738e18090713f98a43b3">targetRxDevMessageCount</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a15791d455909553fd8f3a6626f79b449">TIGLCommunicationManager</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a94219b2ca94d4217136373b4cde2b952">TIGLCommunicationManager</a>(SUBGRAPH_TYPE *dataPtr, uint_fast32_t devices, int rank=0)</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#ac7a34f82443f2d7f9d360733e3612e71">timeCountSS</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#ad4af56522c0cbc793788b38985e086c8">totalNumVertices</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#ac73c7a6147bb9bf5922d1f19f3ca524e">txBuffers</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a7102a95cb3b26dfb0c3704184183cb6b">txBusyRequestFlag</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a4e09ccded269eb73471b10d609d64c4a">txIdleTime</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#aa984b9688cd64536c6901729a536b07e">txRequests</a></td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#af793ef35e5577541fce11b0ad6f348db">waitAllTx</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLCommunicationManager.html#a78f86a850b851dbc4838b66782a6820a">~TIGLCommunicationManager</a>()</td><td class="entry"><a class="el" href="classTIGLCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
